/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.model;

import org.openide.util.NbBundle;

/**
 *
 * @author johan
 */
@NbBundle.Messages({
    "OnOff.label.On=On",
    "OnOff.label.Off=Off"
})
public enum OnOff {
    ON(1.0, "OnOff.label.On"),
    OFF(0.0, "OnOff.label.Off");
    
    private double treatmentZoneValue;
    private String labelKey;

    private OnOff(double treatmentZoneValue, String labelKey) {
        this.treatmentZoneValue = treatmentZoneValue;
        this.labelKey = labelKey;
    }
    
    public String getName() {
        return NbBundle.getMessage(OnOff.class, labelKey);
    }

    public double getTreatmentZoneValue() {
        return treatmentZoneValue;
    }
    
    public static OnOff find(double value) {
        for (OnOff oo : OnOff.values()) {
            if (oo.getTreatmentZoneValue() == value) {
                return oo;
            }
        }
        return null;
    }
}
